PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHTML::CheckBox Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::CheckBox:
[legend]
Collaboration diagram for PHTML::CheckBox:
[legend]

## Public Member Functions
| CheckBox (const char *fname, const char *attr=NULL)
| CheckBox (const char *fname, DisableCodes disabled, const char *attr=NULL)
| CheckBox (const char *fname, CheckedCodes check, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~CheckBox ()
Public Member Functions inherited from PHTML::RadioButton
| RadioButton (const char *fname, const char *value, const char *attr=NULL)
| RadioButton (const char *fname, const char *value, DisableCodes disabled, const char *attr=NULL)
| RadioButton (const char *fname, const char *value, CheckedCodes check, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~RadioButton ()

## Additional Inherited Members
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }
Protected Member Functions inherited from PHTML::RadioButton
| RadioButton (const char *type, const char *fname, const char *value, CheckedCodes check, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::CheckBox::CheckBox | ( | const char * | fname,
|  | CheckedCodes | check,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::CheckBox::~CheckBox | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- html.h